﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Extensibility;
using GrapeCity.ActiveReports.Web;
using System.Data;
namespace DymaticColumnsAndDataSetRuntime
{
    public partial class WebForm1 : System.Web.UI.Page
    {

        protected void Page_Load(object sender, EventArgs e)
        {

            GrapeCity.ActiveReports.PageReport report2 = new GrapeCity.ActiveReports.PageReport();
            report2.Load(new System.IO.FileInfo(Server.MapPath(@"rptDynamicColumns.rdlx")));
            report2.Document.LocateDataSource += new GrapeCity.ActiveReports.LocateDataSourceEventHandler(Document_LocateDataSource);
            WebViewer1.Report = report2;
        }


        void Document_LocateDataSource(object sender, GrapeCity.ActiveReports.LocateDataSourceEventArgs args)
        {
            if (args.DataSourceName == "DataSource1")
            {
                if (args.DataSetName == "DataSet1")
                {
                    args.Data = GetData();
                }
            }


        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("ID");
            dt.Columns.Add("单位名称");
            dt.Columns.Add("综合系数");
            dt.Columns.Add("得奖人数");
            dt.Columns.Add("奖金基数");
            dt.Columns.Add("组织绩效指示完成率");
            dt.Columns.Add("综合奖计划数");
            dt.Columns.Add("奖金名称");
            dt.Columns.Add("奖金金额");

            dt.Rows.Add(1, 1, 1, 1, 1, 1, 1, 1, 6);
            dt.Rows.Add(1, 2, 1, 1, 1, 1, 2, 1, 7);
            dt.Rows.Add(1, 3, 1, 1, 1, 1, 2, 1, 9);
            dt.Rows.Add(1, 4, 1, 1, 1, 3, 2, 5, 8);
            dt.Rows.Add(1, 5, 1, 1, 1, 4, 3, 0, 2);
            dt.Rows.Add(1, 6, 1, 1, 1, 4, 3, 2, 5);
            return dt;
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            
        }
    }





}